# babelator

> A collection of default convention-based common tasks for modules using Babel.

[![NPM Version][npm-image]][npm-url]
[![Linux Build][travis-image]][travis-url]
[![Test Coverage][coveralls-image]][coveralls-url]

## Install

```bash
npm i -D babelator gulpjs/gulp.git#4.0
```

1. Add the following to your `gulpfile.js`:

```js
var gulp = require('gulp')
require('babelator')(gulp)
```

2. Bootstrap module (prompts will be shown for modifications of existing files):

```bash
node_modules/.bin/gulp bootstrap
```

3. You can now use: `npm run gulp <task-name>`.

## Usage

```bash
npm run gulp <task-name>
```

*TODO: Show tasks here.*

## Dev

Compile on file change.

```bash
npm i
npm run gulp watch
```

## Tasks

`gulp build` - Cleans dist, then compiles `src` -> `dist`. Suitable as npm `prepublish` script in `package.json`.

`gulp watch` - Watches for changes. Compiles `src` -> `dist` on file change. Only compiles changed files. Cleans on first run.

`gulp test` - Runs tests.

`gulp test-transpiled` - Runs transpiled tests. Faster.

`gulp test-watch` - Watches for changes, and compiles + runs transpiled tests.

`gulp bootstrap` - Boostraps a module. Modifies package.json, etc. Prompts for any file being overwritten.

## License

[MIT](http://vjpr.mit-license.org)

[npm-image]: https://img.shields.io/npm/v/gulp-babel-tasks.svg
[npm-url]: https://npmjs.org/package/gulp-babel-tasks
[travis-image]: https://img.shields.io/travis/vjpr/gulp-babel-tasks/master.svg
[travis-url]: https://travis-ci.org/vjpr/gulp-babel-tasks
[coveralls-image]: https://img.shields.io/coveralls/vjpr/gulp-babel-tasks/master.svg
[coveralls-url]: https://coveralls.io/r/vjpr/gulp-babel-tasks?branch=master
