//region Imports
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var bump = require('gulp-bump');
var cwd = require('cwd');
//endregion

exports['default'] = function (gulp, opts) {

  function makeBumpTask(type) {
    return function () {
      return gulp.src(['./package.json']).pipe(bump({ type: type })).pipe(gulp.dest('./'));
    };
  }

  gulp.task('bump:patch', makeBumpTask('patch'));
  gulp.task('bump:minor', makeBumpTask('minor'));
  gulp.task('bump:major', makeBumpTask('major'));
  gulp.task('bump', makeBumpTask('patch'));
};

module.exports = exports['default'];