//region Imports
'use strict';

Object.defineProperty(exports, '__esModule', {
  value: true
});
var cwd = require('cwd');
var path = require('path');
var _ = require('lodash');
var replaceFile = require('../util/replaceFile');
var modifyPackageJson = require('../util/modifyPackageJson');
//endregion

exports['default'] = function (gulp, opts) {

  gulp.task('npm:prepublish', gulp.series('build', 'test', 'lint'));
  gulp.task('npm:bootstrap:pjson', function (done) {
    modifyPackageJson(function (json) {
      _.set(json, 'scripts.prepublish', 'gulp prepublish');
      _.set(json, 'main', path.join(opts.destDir, 'index.js'));
      _.set(json, 'license', 'MIT');
      return json;
    }, done);
  });
  gulp.task('npm:bootstrap:copy-files', function (done) {
    var contents = 'node_modules\n';
    replaceFile(cwd('.npmignore'), contents, done);
  });
  gulp.task('npm:bootstrap', gulp.series('npm:bootstrap:pjson', 'npm:bootstrap:copy-files'));
};

module.exports = exports['default'];