//region Imports
'use strict';

var fs = require('fs');
var diff = require('diff');
var confirm = require('inquirer-confirm');
var chalk = require('chalk');
//endregion

module.exports = function (dest, newContents, done) {

  var contents = '';
  if (fs.existsSync(dest)) {
    contents = fs.readFileSync(dest, 'utf8');
  }
  var delta = diff.diffChars(contents, newContents);
  //console.log({contents, newContents, delta})
  //if (delta.length <= 1) return done()
  console.log('\n' + chalk.underline('Proposed changes to:'), dest);

  // Print diff.
  //console.log(delta)
  delta.forEach(function (part) {
    // green for additions, red for deletions
    // grey for common parts
    var color = part.added ? 'green' : part.removed ? 'red' : 'grey';
    process.stderr.write(part.value[color]);
  });

  confirm('Write?').then(function () {
    fs.writeFileSync(dest, newContents, 'utf8');
    done();
  }, function () {
    done('Cancelled.');
  });
};