//region Imports
const cwd = require('cwd')
const path = require('path')
const _ = require('lodash')
const replaceFile = require('../util/replaceFile')
const modifyPackageJson = require('../util/modifyPackageJson')
//endregion

export default (gulp, opts) => {

  gulp.task('npm:prepublish', gulp.series('build', 'test', 'lint'))
  gulp.task('npm:bootstrap:pjson', (done) => {
    modifyPackageJson((json) => {
      _.set(json, 'scripts.prepublish', 'gulp prepublish')
      _.set(json, 'main', path.join(opts.destDir, 'index.js'))
      _.set(json, 'license', 'MIT')
      return json
    }, done)
  })
  gulp.task('npm:bootstrap:copy-files', (done) => {
    const contents = 'node_modules\n'
    replaceFile(cwd('.npmignore'), contents, done)
  })
  gulp.task('npm:bootstrap', gulp.series('npm:bootstrap:pjson', 'npm:bootstrap:copy-files'))

}
