//region Imports
const jsondiffpatch = require('jsondiffpatch')
const confirm = require('inquirer-confirm')
const fs = require('fs')
const cwd = require('cwd')
const _ = require('lodash')
const chalk = require('chalk')
//endregion

module.exports = function(fn, done) {
  const pjsonPath = cwd('package.json')
  const oldJson = require(pjsonPath)
  let json = _.cloneDeep(oldJson)
  json = fn(json)
  const delta = jsondiffpatch.diff(oldJson, json)
  if (!delta) return done()
  console.log('\n' + chalk.underline('Proposed changes to:'), pjsonPath)
  jsondiffpatch.console.log(delta)
  confirm('Update package.json?').then(() => {
    fs.writeFileSync(pjsonPath, JSON.stringify(json, null, 2))
    done()
  }, () => {
    done('Cancelled.')
  })

}
