//region Imports
const fs = require('fs')
const diff = require('diff')
const confirm = require('inquirer-confirm')
const chalk = require('chalk')
//endregion

module.exports = (dest, newContents, done) => {

  let contents = ''
  if (fs.existsSync(dest)) {
    contents = fs.readFileSync(dest, 'utf8')
  }
  const delta = diff.diffChars(contents, newContents)
  //console.log({contents, newContents, delta})
  //if (delta.length <= 1) return done()
  console.log('\n' + chalk.underline('Proposed changes to:'), dest)

  // Print diff.
  //console.log(delta)
  delta.forEach(function(part){
    // green for additions, red for deletions
    // grey for common parts
    var color = part.added ? 'green' :
      part.removed ? 'red' : 'grey';
    process.stderr.write(part.value[color]);
  })

  confirm('Write?').then(() => {
    fs.writeFileSync(dest, newContents, 'utf8')
    done()
  }, () => {
    done('Cancelled.')
  })

}
